# PCSetCoordinates

sets the coordinates of all the nodes on the local process

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PETSCKSP_DLLEXPORT PCSetCoordinates(PC pc,PetscInt dim,PetscReal *coords)

Collective on PC

### Input Parameters

| pc | - the solver context
| dim | - the dimension of the coordinates 1, 2, or 3
| coords | - the coordinates

Notes: coords is an array of the 3D coordinates for the nodes on the local processor. So if there are 108 equation on a processor for a displacement finite element discretization of elasticity (so that there are 36 = 108/3 nodes) then the array must have 108 double precision values (ie, 3 * 36). These x y z coordinates should be ordered for nodes 0 to N-1 like so: [ 0.x, 0.y, 0.z, 1.x, ... , N-1.z ].

### See Also

PCPROMETHEUS

Level:intermediate
Location: src/ksp/pc/impls/prometheus/petscprom.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages